Index: imaps-frontend/src/pages/Draw/Hooks/useRoomTypesLoader.js
===================================================================
--- imaps-frontend/src/pages/Draw/Hooks/useRoomTypesLoader.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/Draw/Hooks/useRoomTypesLoader.js	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -0,0 +1,31 @@
+import {useEffect} from "react";
+import HttpService from "../../../scripts/net/HttpService.js";
+import log from "eslint-plugin-react/lib/util/log.js";
+import config from "../../../scripts/net/netconfig.js";
+
+export const useRoomTypesLoader = (setRoomTypes,mapName,username) => {
+    useEffect(() => {
+            const loadRoomTypes = async () => {
+                const httpService = new HttpService();
+                httpService.setAuthenticated();
+                const roomTypes = await httpService.get(`${config.room_types.display(true)}?mapName=${mapName}&username=${username}`)
+                console.log("loaded ROOM TYPES: " + roomTypes)
+                setRoomTypes(roomTypes);
+            }
+            loadRoomTypes()
+                .then(resp => {
+                    console.log("LOADED ROOM TYPES")
+                })
+
+    }, []);
+
+    const addRoomType = async (roomTypeName) => {
+        const httpService = new HttpService();
+        httpService.setAuthenticated();
+        await httpService.post(`${config.room_types.add}?roomTypeName=${roomTypeName}&username=${username}&mapName=${mapName}`)
+
+        setRoomTypes((prevRoomTypes) => [...prevRoomTypes,{name:roomTypeName}]);
+    }
+
+    return {addRoomType}
+}
Index: imaps-frontend/src/pages/IMaps/IMaps.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/IMaps.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/IMaps/IMaps.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -4,13 +4,14 @@
 import styles from "./IMaps.module.css";
 import Home from "./components/pages/Home";
+import Profile from "../../components/Profile/Profile";
+import Logo from "../../components/Logo/Logo";
+import Cards from "./components/Cards";
 
 function IMaps() {
   return (
-    <>
-      <div className={styles.home}>
-        <Navbar></Navbar>
-        <Home></Home>
-      </div>
-    </>
+    <div className="homebg">
+      <Navbar></Navbar>
+      <Home></Home>
+    </div>
   );
 }
Index: imaps-frontend/src/pages/IMaps/components/HeroSection.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/HeroSection.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/IMaps/components/HeroSection.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -7,25 +7,24 @@
 function HeroSection() {
   return (
-    <div className="hero-container">
-      <h1>Map Your World</h1>
-      <p>Create and explore detailed indoor maps.</p>
-      <div className="hero-btns">
-        <Link to="/Maps/FinkiMaps/Draw">
-          <Button className="btns" buttonStyle="btn--outline" buttonSize="btn--large">
-            Create maps
-          </Button>
-        </Link>
-        <Link to="/Maps">
-          <Button
-            className="btns"
-            buttonStyle="btn--primary"
-            buttonSize="btn--large"
-            onClick={console.log("hey")}
-          >
-            Browse Maps <i className="far fa-play-circle" />
-          </Button>
-        </Link>
+      <div className="hero-container">
+          <h1>Map Your World</h1>
+          <p>Create and explore detailed indoor maps.</p>
+          <div className="hero-btns">
+              <Link to="/myMaps">
+                  <Button className="btns" buttonStyle="btn--outline" buttonSize="btn--large">
+                      Create maps
+                  </Button>
+              </Link>
+              <Link to="/Maps">
+                  <Button
+                      className="btns"
+                      buttonStyle="btn--primary"
+                      buttonSize="btn--large"
+                  >
+                      Browse Maps <i className="far fa-play-circle"/>
+                  </Button>
+              </Link>
+          </div>
       </div>
-    </div>
   );
 }
Index: imaps-frontend/src/pages/IMaps/components/Navbar.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/Navbar.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/IMaps/components/Navbar.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -1,7 +1,10 @@
-import React, { useState, useEffect } from "react";
-import { Button } from "./Button";
+import React, {useContext, useState} from "react";
+import { Link } from "react-router-dom";
+import logo_icon from "../../../assets/logo_icon.png";
+//import { AuthContext } from "../../../components/AuthContext/AuthContext";
+import Logo from "../../../components/Logo/Logo.jsx";
+import Profile from "../../../components/Profile/Profile.jsx";
+import {useAppContext} from "../../../components/AppContext/AppContext.jsx";
 import "./Navbar.css";
-import { Link } from "react-router-dom";
-import logo from "../../../assets/logo_icon.png";
 
 function Navbar() {
@@ -12,44 +15,33 @@
   const closeMobileMenu = () => setClick(false);
 
-  const showButton = () => {
-    if (window.innerWidth <= 960) {
-      setButton(false);
-    } else {
-      setButton(true);
-    }
-  };
+  const { isAuthenticated } = useAppContext();
 
-  useEffect(() => {
-    showButton();
-  }, []);
+    return (
+        <nav className="modern-navbar">
+            <div className="navbar-container">
+                {/* Left Section - Logo and Title */}
+                <div className="navbar-left">
+                    <Logo position="relative"/>
+                    <h1 className="navbar-title">iMaps</h1>
+                </div>
 
-  window.addEventListener("resize", showButton);
-
-  return (
-    <>
-      <nav className="navbar">
-        <div className="navbar-container">
-          <a href="#" className="navbar-logo pad-bot" onClick={closeMobileMenu}>
-            iMaps
-          </a>
-          <div className="menu-icon" onClick={handleClick}>
-            <i className={click ? "fas fa-times" : "fas fa-bars"} />
-          </div>
-          <ul className={click ? "nav-menu active" : "nav-menu"}>
-            <Link to="/Signup">
-              <li className="nav-item">
-                <a href="#" className="nav-links" onClick={closeMobileMenu}>
-                  SignUp
-                </a>
-              </li>
-            </Link>
-          </ul>
-          <div className="pad-bot">
-            <Link to="/Login">{button && <Button buttonStyle="btn--outline">LOG IN</Button>}</Link>
-          </div>
-        </div>
-      </nav>
-    </>
-  );
+                {/* Right Section - Login/Signup or Profile */}
+                <div className="navbar-right">
+                    {isAuthenticated ? (
+                        <Profile position="relative"/>
+                    ) : (
+                        <>
+                            <Link to="/Login" className="navbar-btn navbar-login">
+                                Log In
+                            </Link>
+                            <Link to="/Signup" className="navbar-btn navbar-signup">
+                                Sign Up
+                            </Link>
+                        </>
+                    )}
+                </div>
+            </div>
+        </nav>
+    );
 }
 
Index: imaps-frontend/src/pages/IMaps/components/pages/Home.jsx
===================================================================
--- imaps-frontend/src/pages/IMaps/components/pages/Home.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/IMaps/components/pages/Home.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -1,17 +1,32 @@
 import React from "react";
-import "./Home.css";
-import Cards from "../Cards";
-import HeroSection from "../HeroSection";
-import Footer from "../Footer";
+import "./Home.scss";
+import { Link } from "react-router-dom";
+import { Button } from "../Button.jsx";
+import Cards from "../Cards.jsx";
+import Footer from "../Footer.jsx";
+import sl from "../../../../assets/bg-home-light-gray.png"
 
 function Home() {
   return (
-    <>
-      <div className="home">
-        <HeroSection />
-        {/* <Cards /> */}
-        <Footer />
+    <div className="home">
+      <div className="hero-container">
+        <h1>Map Your World</h1>
+        <h2 className="description">Create and explore detailed indoor maps.</h2>
+        <div className="hero-btns">
+          <Link to="/myMaps">
+            <Button className="btns" buttonSize="btn--large">
+              Create Maps
+            </Button>
+          </Link>
+          <Link to="/Maps">
+            <Button className="btns" buttonSize="btn--large">
+              Browse Maps <i className="far fa-play-circle" />
+            </Button>
+          </Link>
+        </div>
       </div>
-    </>
+      <Cards />
+      <Footer></Footer>
+    </div>
   );
 }
Index: imaps-frontend/src/pages/Login/Login.jsx
===================================================================
--- imaps-frontend/src/pages/Login/Login.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/Login/Login.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -1,88 +1,120 @@
-import React, { useState } from "react";
-import { Link, useNavigate } from "react-router-dom";
+import React, {useContext, useState} from "react";
+import {Link, useLocation, useNavigate} from "react-router-dom";
 import styles from "./Login.module.css";
 import illustration from "../../assets/illustration_img.png";
+import Logo from "../../components/Logo/Logo.jsx";
+import HttpService from "../../scripts/net/HttpService.js";
+import {useAppContext} from "../../components/AppContext/AppContext.jsx";
+import config from "../../scripts/net/netconfig.js";
 
-const LoginPage = ({onLogin}) => {
-  const [username, setUsername] = useState("");
-  const [password, setPassword] = useState("");
-  const [error, setError] = useState(null);
-  const navigate = useNavigate();
+const LoginPage = () => {
+    const [formUsername, setFormUsername] = useState("");
+    const [password, setPassword] = useState("");
+    const [error, setError] = useState(null);
+    const navigate = useNavigate();
+    const location = useLocation();
 
-  const payload = {
-    username: username,
-    password: password
-  };
+    const {setUsername, setIsAuthenticated} = useAppContext();
 
-  const handleLogin = (e) => {
-    e.preventDefault();
+    const {targetPath} = location.state || {targetPath: {pathname: "/"}};
 
-    fetch("http://localhost:8080/api/auth/login", {
-      method: "POST",
-      headers: {
-        "Content-Type": "application/json",
-      },
-      body: JSON.stringify(payload),
-    })
-      .then((response) => {
-        if (!response.ok) {
-          throw new Error("Login failed: resp = " + response.statusText); 
-        }
-        return response.json();
-      })
-      .then((data) => {
-        if (data.token) {
-          navigate("/Maps/FinkiMaps/Draw");
-          onLogin(data.token)
-        } else {
-          setError("Invalid username or password.");
-        }
-      })
-      .catch((error) => {
-        console.error("Login failed", error);
-        setError("Login failed. Please try again.");
-      });
-    
-  };
+    const payload = {
+        username: formUsername,
+        password: password,
+    };
 
-  return (
-    <div className={styles.wrapper}>
-      <div className={styles.illustration}>
-        <img src={illustration} alt="illustration" />
-      </div>
-      <div className={styles.form}>
-        <div className={styles.heading}>LOGIN</div>
-        <form onSubmit={handleLogin}>
-          <div>
-            <label htmlFor="username">Username</label>
-            <input
-              type="text"
-              id="name"
-              placeholder="Enter your username"
-              onChange={(e) => setUsername(e.target.value)}
-              value={username}
-              required
-            />
-          </div>
-          <div>
-            <label htmlFor="password">Password</label>
-            <input
-              type="password"
-              id="password"
-              placeholder="Enter your password"
-              onChange={(e) => setPassword(e.target.value)}
-              value={password}
-              required
-            />
-          </div>
-          {error && <p className={styles.error}>{error}</p>}
-          <button type="submit">Submit</button>
-        </form>
-        <p>
-          Don't have an account? <Link to="/Signup"> Sign Up </Link>
-        </p>
-      </div>
-    </div>
-  );
+    const handleLogin = async () => {
+        const httpService = new HttpService();
+        return httpService.post(config.auth.login, payload)
+
+    };
+
+
+    const login = async (e) => {
+        e.preventDefault();
+
+        handleLogin()
+            .then(resp => {
+                if (resp.token) {
+                    navigate(targetPath)
+                    localStorage.setItem("token", resp.token);
+                    setUsername(resp.username);
+                    setIsAuthenticated(true);
+                    console.log("ROLES",resp.roles)
+                } else {
+                    setError("Invalid username or password.");
+                }
+            }).catch(reason => {
+            console.error("Login failed", reason);
+            setError("Login failed. Please try again.")
+        })
+
+        // fetch("http://localhost:8080/api/auth/login", {
+        //   method: "POST",
+        //   headers: {
+        //     "Content-Type": "application/json",
+        //   },
+        //   body: JSON.stringify(payload),
+        // })
+        //   .then((response) => {
+        //     if (!response.ok) {
+        //       throw new Error("Login failed: resp = " + response.statusText);
+        //     }
+        //     return response.json();
+        //   })
+        //   .then((data) => {
+        //     if (data.token) {
+        //       navigate(targetPath);
+        //       handleLogin(data);
+        //     } else {
+        //       setError("Invalid username or password.");
+        //     }
+        //   })
+        //   .catch((error) => {
+        //     console.error("Login failed", error);
+        //     setError("Login failed. Please try again.");
+        //   });
+    };
+
+    return (
+        <div className={styles.wrapper}>
+            <Logo></Logo>
+            <div className={styles.illustration}>
+                <img src={illustration} alt="illustration"/>
+            </div>
+            <div className={styles.form}>
+                <div className={styles.heading}>LOGIN</div>
+                <form onSubmit={login}>
+                    <div>
+                        <label htmlFor="username">Username</label>
+                        <input
+                            type="text"
+                            id="name"
+                            placeholder="Enter your username"
+                            onChange={(e) => setFormUsername(e.target.value)}
+                            value={formUsername}
+                            required
+                        />
+                    </div>
+                    <div>
+                        <label htmlFor="password">Password</label>
+                        <input
+                            type="password"
+                            id="password"
+                            placeholder="Enter your password"
+                            onChange={(e) => setPassword(e.target.value)}
+                            value={password}
+                            required
+                        />
+                    </div>
+                    {error && <p className={styles.error}>{error}</p>}
+                    <button type="submit">Submit</button>
+                </form>
+                <p>
+                    Don't have an account? <Link to="/Signup"> Sign Up </Link>
+                </p>
+            </div>
+        </div>
+    );
 };
 
Index: imaps-frontend/src/pages/MapView/MapView.jsx
===================================================================
--- imaps-frontend/src/pages/MapView/MapView.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/MapView/MapView.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -0,0 +1,289 @@
+import {useNavigate, useParams, useSearchParams} from "react-router-dom";
+import React, {useContext, useEffect, useRef, useState} from "react";
+import {MapDisplay} from "../../scripts/main/MapDisplay.js";
+import styles from "./MapView.module.css";
+import SearchBar from "../../components/SearchBar/SearchBar.jsx";
+import FilterBar from "../../components/FilterBar/FilterBar.jsx";
+import Profile from "../../components/Profile/Profile.jsx";
+import RoomInfoPanel from "../../components/RoomInfoPanel/RoomInfoPanel.jsx";
+import HttpService from "../../scripts/net/HttpService.js";
+import floorIcon from "../../assets/floor_icon.png";
+import Logo from "../../components/Logo/Logo.jsx";
+import config from "../../scripts/net/netconfig.js";
+import parseMapData from "../../scripts/util/parseMapData.js";
+import ShapeRegistry from "../../scripts/util/ShapeRegistry.js";
+import {useAppContext} from "../../components/AppContext/AppContext.jsx";
+
+const MapView = ({isPrivate}) => {
+    const {mapName} = useParams();
+    const {username} = useAppContext();
+
+    const [mapLoaded, setMapLoaded] = useState(false);
+    const [app, setApp] = useState(null);
+    const [isPanelOpen, setIsPanelOpen] = useState(true);
+    const [selectedRoom, setSelectedRoom] = useState(null);
+    const [floors, setFloors] = useState([]); // ova trebit da sa objekti
+    const navigate = useNavigate();
+    const [shapes, setShapes] = useState([]);
+    const [searchParams, setSearchParams] = useSearchParams();
+    const [mainEntrance, setMainEntrance] = useState({});
+
+    const defaultNavObj = {
+        enabled: false,
+        nextFloor: 0,
+        nodes: [],
+        offset: 0
+    }
+
+    const [navNext, setNavNext] = useState(defaultNavObj)
+    const [roomTypes, setRoomTypes] = useState([]);
+
+    useEffect(() => {
+        const loadRoomTypes = async () => {
+            const httpService = new HttpService();
+            let roomTypes;
+            if (isPrivate) {
+                roomTypes = await httpService.get(`${config.room_types.display(true)}?mapName=${mapName}&username=${username}`)
+            } else {
+                roomTypes = await httpService.get(`${config.room_types.display(false)}?mapName=${mapName}`)
+            }
+
+            console.log("loaded ROOM TYPES: " + roomTypes)
+            setRoomTypes(roomTypes);
+        }
+        loadRoomTypes().then(resp => {
+            console.log("LOADED ROOM TYPES")
+        })
+    }, []);
+
+
+    useEffect(() => {
+        if (!searchParams.has("floor")) {
+            setSearchParams({floor: "0"}, {replace: true});
+        }
+    }, [setSearchParams, searchParams]);
+
+
+    useEffect(() => {
+
+
+        const floorNum = parseInt(searchParams.get("floor") || 0);
+        const appInstance = new MapDisplay("map", floorNum);
+
+        const load = async () => {
+            const httpService = new HttpService();
+
+            try {
+                let url;
+                if (isPrivate) {
+                    httpService.setAuthenticated();
+                    url = `${config.view_maps.load(true)}?mapName=${mapName}&username=${username}`
+                } else {
+                    url = `${config.view_maps.load(false)}?mapName=${mapName}`
+                }
+
+                return httpService.get(url);
+            } catch (e) {
+                throw new Error("Can't load map: " + e.message);
+            }
+        };
+
+        load()
+            .then(respFloors => {
+                let tlFloor = respFloors.filter(f => f.num === floorNum)[0];
+
+                let parsedShapes = [];
+
+                respFloors.forEach(flr => {
+                    console.log("FLR", flr)
+                    const parsed = parseMapData(flr.mapData, (shape => shape.className !== "InfoPin"), true)
+                    parsedShapes = [...parsedShapes, ...parsed];
+                })
+
+                setShapes(parsedShapes)
+
+                parsedShapes.forEach(shape => {
+                    console.info("PARSED Shapes: " + shape.info.name)
+                })
+
+                const mainEntrance = parsedShapes.find(shape => shape.info.isMainEntrance);
+                setMainEntrance(mainEntrance)
+
+                console.log("MAIN ENTRANCE: " + mainEntrance)
+
+
+                setFloors(respFloors);
+
+                appInstance.loadMapN(tlFloor?.mapData)
+                setApp(appInstance);
+                setMapLoaded(true);
+            })
+            .catch(reason => {
+                console.log("ERROR LOADING MAP VIEW: " + reason)
+            });
+
+
+    }, []);
+
+    //nova load, ne vo MapDisplay
+
+    //loso
+    useEffect(() => {
+        const openRoomInfoPanel = (e) => {
+            setSelectedRoom(e.detail.room);
+            setIsPanelOpen(true)
+            console.log("SHAPES REG", ShapeRegistry.getShapes().length)
+
+        }
+        window.addEventListener("openRoomInfoPanel", openRoomInfoPanel);
+
+        return () => window.removeEventListener("openRoomInfoPanel", openRoomInfoPanel);
+    }, [])
+
+    const handleDirectionsSubmit = (fromSearch = null, toSearch = null) => {
+
+        if (fromSearch === null && toSearch === null) {
+            return;
+        }
+        if (fromSearch === null || fromSearch === "") {
+            fromSearch = mainEntrance.info.name;
+        }
+        let shapeFrom = shapes.find(sh => sh.info.name === fromSearch)
+
+
+        if (shapeFrom.floorNum != searchParams.get("floor")) {
+            handleFloorChange(shapeFrom.floorNum);
+        }
+
+        const httpService = new HttpService();
+
+        if (isPrivate) httpService.setAuthenticated();
+
+        const fromEncoded = encodeURIComponent(fromSearch).trimEnd()
+        const toEncoded = encodeURIComponent(toSearch).trimEnd()
+
+        httpService.get(`${config.view_maps.navigate}?from=${fromEncoded}&to=${toEncoded}`).then(path => {
+            app.drawRouteNEW(path);
+        }).catch(reason => {
+            console.log("err", reason)
+        })
+    };
+
+    
+
+    const multiFloorNavigate = () => {
+        if (navNext && app) {
+            console.log("NAVNEXT F: " + navNext.nextFloor)
+            const f = navNext.nextFloor;
+            handleFloorChange(f)
+            setTimeout(() => {
+                app.drawRouteNEW(navNext.nodes, navNext.offset)
+            }, 50)
+            setNavNext(defaultNavObj)
+
+        }
+    }
+
+
+    useEffect(() => {
+
+        const handleNavigate = (event) => {
+            console.log("SHAPES NAV", shapes)
+
+            setNavNext({
+                enabled: true,
+                nextFloor: event.detail.changeFloorTo,
+                nodes: event.detail.nodes,
+                offset: event.detail.offset
+            })
+
+            console.log("ROUTE LAYER", app.routeLayer);
+        }
+
+        window.addEventListener("navigate", handleNavigate)
+        return () => {
+            window.removeEventListener("navigate", handleNavigate);
+        };
+
+    }, [app, mapLoaded]);
+
+    const handleFloorChange = (floorNum) => {
+        setSearchParams({floor: floorNum}, {replace: true});
+        const chFloor = floors.find(floor => floor.num === floorNum)
+
+        console.log("FLOOR NUM:", floorNum, "CHFLOOR:", chFloor)
+        app.clearRoute()
+        app.loadMapN(chFloor.mapData)
+        app.floorNum = floorNum;
+
+
+        console.log(`Floor changed to: ${floorNum}`);
+    };
+
+    const closePanel = () => {
+        setIsPanelOpen(false);
+        selectedRoom.unHighlight()
+    };
+
+
+    return (
+        <div id="main" className={styles.main}>
+            {navNext.enabled && (
+                <div className={styles.nextButtonContainer}>
+                    <button onClick={multiFloorNavigate} className={styles.nextButton}>
+                        NEXT FLOOR
+                    </button>
+                </div>
+            )}
+
+            <div id="map" className={styles.mapContainer}></div>
+
+            <RoomInfoPanel isOpen={isPanelOpen} onClose={closePanel} floor={searchParams.get("floor")}
+                           room={selectedRoom} handleDirectionsSubmit={handleDirectionsSubmit}/>
+            <div className={styles.toolbar}>
+                <div className={styles.toolbarContainer}>
+                    <div className={styles.logoContainer}>
+                        <Logo position="relative"/>
+                    </div>
+                    <h1 className={styles.mapTitle}>{mapName}</h1>
+                    {mapLoaded && app && (
+                        <div className={styles.searchFilterContainer}>
+                            <SearchBar
+                                map={app}
+                                handleDirectionsSubmit={handleDirectionsSubmit}
+                                setIsPanelOpen={setIsPanelOpen}
+                                setSelectedRoom={setSelectedRoom}
+                                availableShapes={shapes}
+                                handleFloorChange={handleFloorChange}
+                            />
+                            <FilterBar map={app} roomTypes={roomTypes}/>
+                        </div>
+                    )}
+                    <div className={styles.profileContainer}>
+                        <Profile position="relative"/>
+                    </div>
+                </div>
+            </div>
+
+            <div className={styles.floorSelectorContainer}>
+                <div className={styles.floorSelector}>
+                    <img src={floorIcon} alt="Floor Icon" className={styles.floorIcon}/>
+                    <select
+                        value={searchParams.get("floor")}
+                        onChange={(e) => handleFloorChange(parseInt(e.target.value, 10))}
+                        className={styles.floorDropdown}
+                    >
+                        {floors?.map((floor) => (
+                            <option key={floor.num} value={floor.num}>
+                                Floor {floor.num}
+                            </option>
+                        ))}
+                    </select>
+                </div>
+            </div>
+
+        </div>
+    );
+};
+
+export default MapView;
Index: imaps-frontend/src/pages/MapView/useMapViewHook.jsx
===================================================================
--- imaps-frontend/src/pages/MapView/useMapViewHook.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/pages/MapView/useMapViewHook.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
@@ -0,0 +1,21 @@
+//
+// function useMapViewHook() {
+//   const { mapName } = useParams();
+//   const { username } = useContext(AuthContext);
+//
+//   const [mapLoaded, setMapLoaded] = useState(false);
+//   const [app, setApp] = useState(null);
+//   const [isPanelOpen, setIsPanelOpen] = useState(true);
+//   const [floors, setFloors] = useState([]);
+//   const navigate = useNavigate();
+//
+//   const [searchParams, setSearchParams] = useSearchParams();
+//
+//   return {
+//     mapName,
+//     username,
+//     mapLoaded
+//   }
+// }
+//
+// export default useMapViewHook;
